Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.engine
Class QHRef

    java.lang.Object
      |
      +--com.jxml.quick.HRef
            |
            +--com.jxml.quick.engine.QHRef

All Implemented Interfaces:
  PostParse, QMeta

public class QHRef
extends HRef
implements PostParse, QMeta

Fields inherited from class com.jxml.quick.HRef
`expects, href, schema, schemaClass`

Constructor Summary
`QHRef()`
`QHRef(String schema, String href, String expects)`
`QHRef(String schema, String href, String expects, String schemaClass)`

Method Summary
`void` | `add(QAccess access, Object parent, QTargetFactory parentFactory, QContext context)`
`static String` | `completeURL(String base, String partial)`
`void` | `postParse(QContext context)`

Methods inherited from class com.jxml.quick.HRef
`getWalkObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jxml.quick.QMeta
`getWalkObject`

Constructor Detail

### QHRef

    public QHRef()

### QHRef

    public QHRef(String schema,
                 String href,
                 String expects)

### QHRef

    public QHRef(String schema,
                 String href,
                 String expects,
                 String schemaClass)

Method Detail

### completeURL

    public static String completeURL(String base,
                                     String partial)
                              throws MalformedURLException

### postParse

    public void postParse(QContext context)
                   throws QPE

  Specified by:
    `postParse` in interface `PostParse`

### add

    public void add(QAccess access,
                    Object parent,
                    QTargetFactory parentFactory,
                    QContext context)
             throws QPE

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD